## kdevplatform 1.3.1

=== plugins/appwizard/CMakeLists.txt ===
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9010 )


########### next target ###############

set(kdevappwizard_PART_SRCS
    appwizardplugin.cpp
    appwizarddialog.cpp
    appwizardpagewidget.cpp
    projectselectionpage.cpp
    projecttemplatesmodel.cpp
    projectvcspage.cpp
)

set(kdevappwizard_PART_UI
    projectselectionpage.ui
    projectvcspage.ui
)

kde4_add_ui_files(kdevappwizard_PART_SRCS ${kdevappwizard_PART_UI})

kde4_add_plugin(kdevappwizard ${kdevappwizard_PART_SRCS})
target_link_libraries(kdevappwizard
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KDEUI_LIBS}
    kdevplatforminterfaces kdevplatformvcs)

install(TARGETS kdevappwizard DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES kdevappwizard.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevappwizard.rc DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )
install( FILES default-kdevelop.png DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/template_previews )

=== plugins/dashboard/CMakeLists.txt ===
project(kdev-project-dashboard)
add_subdirectory(plasmoids)

set(kdevprojectdasboard_SRCS
    appletselector.cpp
    dashboard.cpp
    dashboardcorona.cpp
    
    dashboardview.cpp
    dashboarddocument.cpp
    dashboardpluginloader.cpp
    dashboarddataengine.cpp
    kdevprojectdashboard.cpp)

kde4_add_ui_files(kdevprojectdasboard_SRCS appletselector.ui)
kde4_add_plugin(kdevprojectdashboard ${kdevprojectdasboard_SRCS})
target_link_libraries(kdevprojectdashboard ${KDE4_KDECORE_LIBS} ${KDE4_PLASMA_LIBS}
                        ${KDEVPLATFORM_INTERFACES_LIBRARIES} ${KDEVPLATFORM_PROJECT_LIBRARIES} ${KDEVPLATFORM_SUBLIME_LIBRARIES})

install(TARGETS kdevprojectdashboard DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES kdevprojectdashboard.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== plugins/execute/CMakeLists.txt ===

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9515 )

########### next target ###############

set(kdevexecute_PART_UIS
    nativeappconfig.ui
)

set(kdevexecute_PART_SRCS

    projecttargetscombobox.cpp
    executeplugin.cpp
    nativeappconfig.cpp
    nativeappjob.cpp
)

kde4_add_ui_files( kdevexecute_PART_SRCS ${kdevexecute_PART_UIS} )
kde4_add_plugin(kdevexecute ${kdevexecute_PART_SRCS}  )
target_link_libraries(kdevexecute 
    ${KDE4_KDEUI_LIBS} 
    ${KDE4_KCMUTILS_LIBS}
    kdevplatforminterfaces 
    kdevplatformutil 
    kdevplatformproject 
    kdevplatformoutputview)

install(TARGETS kdevexecute DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############
install(FILES iexecuteplugin.h DESTINATION ${INCLUDE_INSTALL_DIR}/kdevplatform/execute COMPONENT Devel)
install(FILES kdevexecute.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/externalscript/CMakeLists.txt ===
########### next target ###############

set(kdevexternalscript_PART_SRCS
    externalscriptplugin.cpp
    externalscriptview.cpp
    externalscriptitem.cpp
    externalscriptjob.cpp
    externalscriptoutputmodel.cpp
    editexternalscript.cpp
    externalscriptdebug.cpp
)

set(kdevexternalscript_PART_UI
    externalscriptview.ui
    editexternalscript.ui
)

kde4_add_ui_files(kdevexternalscript_PART_SRCS ${kdevexternalscript_PART_UI})

kde4_add_plugin(kdevexternalscript ${kdevexternalscript_PART_SRCS})

target_link_libraries(kdevexternalscript
    ${KDE4_KTEXTEDITOR_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KNEWSTUFF3_LIBS}
    kdevplatformlanguage kdevplatforminterfaces
    kdevplatformutil kdevplatformoutputview
)

install( TARGETS kdevexternalscript DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############
install( FILES kdevexternalscript.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevexternalscript.rc DESTINATION ${DATA_INSTALL_DIR}/kdevexternalscript )

=== shell/tests/CMakeLists.txt ===
# The executables go into the tests dir
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

# also needed for the plugin, so the plugincontrollertest knows the binary dir
#add_definitions( -DBUILD_DIR="\\"${KDevPlatform_BINARY_DIR}\\"" )
include_directories(
    ${KDevPlatform_SOURCE_DIR}
    ${KDevPlatform_SOURCE_DIR}/interfaces
    ${KDevPlatform_SOURCE_DIR}/shell
    )

# Disabled until I find out how to load plugins from builddir
#set( plugincontrollertest_plugin_SRCS nonguiinterfaceplugin.cpp )
#kde4_add_plugin( kdevnonguiinterfaceplugin ${plugincontrollertest_plugin_SRCS} )
#target_link_libraries( kdevnonguiinterfaceplugin ${QT_QTCORE_LIBRARY} ${KDE4_KDECORE_LIBRARY} kdevplatforminterfaces )

set(documentcontrollertest_SRCS documentcontrollertest.cpp)
kde4_add_unit_test(shell-documentcontrollertest ${documentcontrollertest_SRCS})
target_link_libraries( shell-documentcontrollertest ${QT_QTTEST_LIBRARY} ${KDEVPLATFORM_TESTS_LIBRARIES})

set(uicontrollertest_SRCS uicontrollertest.cpp)
kde4_add_unit_test(shell-uicontrollertest ${uicontrollertest_SRCS})
target_link_libraries( shell-uicontrollertest ${QT_QTTEST_LIBRARY} ${KDEVPLATFORM_TESTS_LIBRARIES})

set( shellbuddytest_SRCS shellbuddytest.cpp )
kde4_add_unit_test(shell-buddytest ${shellbuddytest_SRCS})
target_link_libraries(shell-buddytest ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBS} kdevplatformtests kdevplatformshell kdevplatforminterfaces sublime )

set( shelldocumentoperationtest_SRCS shelldocumentoperationtest.cpp )
kde4_add_unit_test(shell-documentoperationtest ${shelldocumentoperationtest_SRCS})
target_link_libraries(shell-documentoperationtest ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBS} kdevplatformtests kdevplatformshell kdevplatforminterfaces sublime )

## This test needs fixing:
# creating a factory is not enough to inject a new project plugin, we also need a KPluginInfo
set( projectcontrollertest_SRCS projectcontrollertest.cpp )
#kde4_add_unit_test(shell-projectcontrollertest ${projectcontrollertest_SRCS})
#target_link_libraries(shell-projectcontrollertest ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBS} kdevplatformshell sublime kdevplatformproject kdevplatforminterfaces )

set( sessioncontrollertest_SRCS sessioncontrollertest.cpp )
kde4_add_unit_test(shell-sessioncontrollertest ${sessioncontrollertest_SRCS})
target_link_libraries(shell-sessioncontrollertest ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} kdevplatformtests kdevplatformshell kdevplatforminterfaces sublime )

# Disabled for now, until I find a way of loading plugins from builddir/sourcedir
#set( plugincontrollertest_SRCS plugincontrollertest.cpp )
#kde4_add_unit_test(shell-plugincontrollertest ${plugincontrollertest_SRCS})
#target_link_libraries(shell-plugincontrollertest ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBS} kdevplatformshell kdevplatforminterfaces sublime )

=== shell/kross/examples/compileone/CMakeLists.txt ===
project(CompileOne)

find_package(KDE4 4.2.0 REQUIRED)

find_package(KDevPlatform 0.9.91 REQUIRED)

kdevplatform_install_kross_plugin( kdevcompileone.desktop CompileOne )

=== debian/changelog ===
kdevplatform (1.3.1-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 20 May 2012 10:54:04 +0200

kdevplatform (1.3.1-1) experimental; urgency=low

  * Team upload.

  [ Andreas Cord-Landwehr ]
  * New upstream release.
  * Remove bash shell patch for kdev_format_source.sh: fixed upstream.
  * Install kdevplatform_shell_environment.sh.

 -- Pino Toscano <pino@debian.org>  Fri, 18 May 2012 16:44:23 +0200

kdevplatform (1.3.0-1) experimental; urgency=low

  * Team upload.

  [ Andreas Cord-Landwehr ]
  * New upstream release.
  * Update install files.
  * Add patch to use bash shell for kdev_format_source.sh.
  * Rename packages due to soname bump:
    - kdevplatform3-libs -> kdevplatform5-libs
    - libsublime3 -> libsublime5
  * Update debian/copyright file.

  [ Felix Geyer ]
  * Hardcode the SONAME in libsublime3.install and kdevplatform3-libs.install
    so SONAME bumps can't go unnoticed.
  * Remove duplicate line in kdevplatform-dev.install.

  [ Pino Toscano ]
  * Depend on ${misc:Depends} everywhere.
  * Drop libc6-dbg [amd64] dependency in kdevplatform-dbg, as it's already
    pulled by other -dbg packages.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Mar 2012 17:37:45 +0100

=== debian/control ===
Source: kdevplatform
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.15), cmake (>= 2.8.0),
 pkg-kde-tools (>= 0.9.0), kdelibs5-dev (>= 4:4.5.0),
 libboost-serialization-dev, libqjson-dev, libqtwebkit-dev, libsvn-dev
Standards-Version: 3.9.3
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevplatform.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevplatform.git

Package: kdevplatform5-libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libsublime5 (>= ${source:Version})
Replaces: kdevelop (<< 4:3.9.96-1), kdevelop-data (<< 4:3.9.96-1),
 kdevplatform1-libs, kdevplatform2-libs, kdevplatform3-libs
Breaks: kdevplatform1-libs, kdevplatform2-libs, kdevplatform3-libs
Suggests: kdevplatform-l10n, git, cvs, konsole
Description: shared libraries for the KDevelop platform
 This package contains shared libraries needed to run integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 kdevplatform5-libs (= ${binary:Version}),
 ${sameVersionDep:kdelibs5-dev:kdevplatform5-libs},
 libsublime-dev (>= ${source:Version})
Description: development files for the KDevelop platform
 This package contains development files for building integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdevplatform5-libs (= ${binary:Version}),
 libsublime5 (= ${binary:Version}), kdelibs5-dbg
Description: debugging symbols for the KDevelop platform
 This package contains the debugging symbols associated with kdevplatform.
 They will automatically be used by gdb for debugging kdevplatform-related
 issues.
 .
 This package is part of the KDevelop platform.

Package: libsublime5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User interface library
 sublime provides a user interface that supports multiple
 mainwindows, multiple dockwidgets, split views and areas
 .
 This package is part of the KDevelop platform.

Package: libsublime-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libsublime5 (= ${binary:Version}),
 ${sameVersionDep:kdelibs5-dev:libsublime5}
Description: development files for the sublime user interface library
 This package contains development files for building applications using
 libsublime.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Replaces: kdevplatform-l10n-ca, kdevplatform-l10n-cavalencia, kdevplatform-l10n-da,
 kdevplatform-l10n-de, kdevplatform-l10n-engb, kdevplatform-l10n-es,
 kdevplatform-l10n-et, kdevplatform-l10n-fi, kdevplatform-l10n-fr,
 kdevplatform-l10n-gl, kdevplatform-l10n-hu, kdevplatform-l10n-it,
 kdevplatform-l10n-nds, kdevplatform-l10n-nl, kdevplatform-l10n-pt,
 kdevplatform-l10n-ptbr, kdevplatform-l10n-ru, kdevplatform-l10n-sl,
 kdevplatform-l10n-sv, kdevplatform-l10n-th, kdevplatform-l10n-tr,
 kdevplatform-l10n-uk, kdevplatform-l10n-zhcn, kdevplatform-l10n-zhtw
Breaks: kdevplatform-l10n-ca, kdevplatform-l10n-cavalencia, kdevplatform-l10n-da,
 kdevplatform-l10n-de, kdevplatform-l10n-engb, kdevplatform-l10n-es,
 kdevplatform-l10n-et, kdevplatform-l10n-fi, kdevplatform-l10n-fr,
 kdevplatform-l10n-gl, kdevplatform-l10n-hu, kdevplatform-l10n-it,
 kdevplatform-l10n-nds, kdevplatform-l10n-nl, kdevplatform-l10n-pt,
 kdevplatform-l10n-ptbr, kdevplatform-l10n-ru, kdevplatform-l10n-sl,
 kdevplatform-l10n-sv, kdevplatform-l10n-th, kdevplatform-l10n-tr,
 kdevplatform-l10n-uk, kdevplatform-l10n-zhcn, kdevplatform-l10n-zhtw
Suggests: kde-l10n
Description: language package for the KDevelop platform 
 This package contains the localization files for applications using
 the KDevelop platform.
 .
 This package is part of the KDevelop platform.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_DBG_PACKAGE_kdevplatform5-libs := kdevplatform-dbg
DEB_DBG_PACKAGE_libsublime5 := kdevplatform-dbg
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

## kdevplatform 1.3.90

=== debian/changelog ===
kdevplatform (1.3.90-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Sep 2012 07:37:01 +0100

kdevplatform (1.3.80-0ubuntu2) quantal; urgency=low

  * kdevplatform6-libs replaces/breaks kdevplatform5-libs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 Aug 2012 14:59:58 +0100

kdevplatform (1.3.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release
  * Remove kubuntu_01_appmenu_fix.diff, now upstream
  * kdevplatform5-libs now kdevplatform6-libs
  * libsublime5 now libsublime6

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Aug 2012 15:26:48 +0100

kdevplatform (1.3.1-2ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining changes:
    - Disable kdevplatform-l10n and ship l10n in kdevplatform5-libs
    - Add kubuntu_01_appmenu_fix.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 03 Jun 2012 19:18:21 -0400

kdevplatform (1.3.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream bugfix release
    - Drop 11_disable_examples_tests.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 15 Apr 2012 20:08:31 +0200

kdevplatform (1.3.0-0ubuntu1) precise; urgency=low

  * New upstream stable release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Mar 2012 11:59:51 +0000

kdevplatform (1.2.90-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 10 Mar 2012 18:22:32 +0100

kdevplatform (1.2.81-0ubuntu2) precise; urgency=low

  * Add appropriate Breaks/Replaces for kdevplatform-dev
    - kdevplatform-dev now Breaks/Replaces kdevplatform3-libs

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 04 Feb 2012 01:27:52 +0530

kdevplatform (1.2.81-0ubuntu1) precise; urgency=low

  * New upstream release
    - Refreshed kubuntu_01_appmenu_fix.diff
    - Bump SONAME for kdevplatform and libsublime
      + Add appropriate Breaks/Replaces
    - Refresh install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 17 Jan 2012 03:21:56 +0530

kdevplatform (1.2.3-1ubuntu1) precise; urgency=low

  * Merge from Debian git repository, remaining changes:
    - Add kubuntu_01_appmenu_fix.diff
    - Keep translations in kdevplatform3-libs
    - libsublime3 breaks/replaces libsublime2 since we previously shipped
      libsublime.so.3 in libsublime2

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 17 Dec 2011 12:37:45 +0100

kdevplatform (1.2.3-0ubuntu1) oneiric; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Add libqtwebkit-dev to build deps

  [ Philip Muškovac ]
  * update boost built-dep to 1.46 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 15 Jul 2011 17:41:55 +0200

## kdevplatform 1.4.1

=== debian/changelog ===
kdevplatform (1.4.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 04 Nov 2012 23:03:58 +0000

=== debian/control ===
Source: kdevplatform
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.15), cmake (>= 2.8.0),
 pkg-kde-tools (>= 0.9.0), kdelibs5-dev (>= 4:4.5.0),
 libboost-serialization-dev, libqjson-dev, libqtwebkit-dev, libsvn-dev
Standards-Version: 3.9.3
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevplatform.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevplatform.git

Package: kdevplatform6-libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libsublime6 (>= ${source:Version})
Replaces: kdevelop (<< 4:3.9.96-1), kdevelop-data (<< 4:3.9.96-1),
 kdevplatform1-libs, kdevplatform2-libs, kdevplatform3-libs, kdevplatform5-libs
Breaks: kdevplatform1-libs, kdevplatform2-libs, kdevplatform3-libs, 
 kdevplatform5-libs
Suggests: git, cvs, konsole
Description: shared libraries for the KDevelop platform
 This package contains shared libraries needed to run integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 kdevplatform6-libs (= ${binary:Version}),
 ${sameVersionDep:kdelibs5-dev:kdevplatform6-libs},
 libsublime-dev (>= ${source:Version})
Description: development files for the KDevelop platform
 This package contains development files for building integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdevplatform6-libs (= ${binary:Version}),
 libsublime6 (= ${binary:Version}), kdelibs5-dbg
Description: debugging symbols for the KDevelop platform
 This package contains the debugging symbols associated with kdevplatform.
 They will automatically be used by gdb for debugging kdevplatform-related
 issues.
 .
 This package is part of the KDevelop platform.

Package: libsublime6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User interface library
 sublime provides a user interface that supports multiple
 mainwindows, multiple dockwidgets, split views and areas
 .
 This package is part of the KDevelop platform.

Package: libsublime-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libsublime6 (= ${binary:Version}),
 ${sameVersionDep:kdelibs5-dev:libsublime6}
Description: development files for the sublime user interface library
 This package contains development files for building applications using
 libsublime.
 .
 This package is part of the KDevelop platform.

#Package: kdevplatform-l10n
#Section: localization
#Architecture: all
#Replaces: kdevplatform-l10n-ca, kdevplatform-l10n-cavalencia, kdevplatform-l10n-da,
# kdevplatform-l10n-de, kdevplatform-l10n-engb, kdevplatform-l10n-es,
# kdevplatform-l10n-et, kdevplatform-l10n-fi, kdevplatform-l10n-fr,
# kdevplatform-l10n-gl, kdevplatform-l10n-hu, kdevplatform-l10n-it,
# kdevplatform-l10n-nds, kdevplatform-l10n-nl, kdevplatform-l10n-pt,
# kdevplatform-l10n-ptbr, kdevplatform-l10n-ru, kdevplatform-l10n-sl,
# kdevplatform-l10n-sv, kdevplatform-l10n-th, kdevplatform-l10n-tr,
# kdevplatform-l10n-uk, kdevplatform-l10n-zhcn, kdevplatform-l10n-zhtw
#Breaks: kdevplatform-l10n-ca, kdevplatform-l10n-cavalencia, kdevplatform-l10n-da,
# kdevplatform-l10n-de, kdevplatform-l10n-engb, kdevplatform-l10n-es,
# kdevplatform-l10n-et, kdevplatform-l10n-fi, kdevplatform-l10n-fr,
# kdevplatform-l10n-gl, kdevplatform-l10n-hu, kdevplatform-l10n-it,
# kdevplatform-l10n-nds, kdevplatform-l10n-nl, kdevplatform-l10n-pt,
# kdevplatform-l10n-ptbr, kdevplatform-l10n-ru, kdevplatform-l10n-sl,
# kdevplatform-l10n-sv, kdevplatform-l10n-th, kdevplatform-l10n-tr,
# kdevplatform-l10n-uk, kdevplatform-l10n-zhcn, kdevplatform-l10n-zhtw
#Suggests: kde-l10n
#Description: language package for the KDevelop platform 
# This package contains the localization files for applications using
# the KDevelop platform.
# .
# This package is part of the KDevelop platform.

## kdevplatform 1.5.1

=== debian/changelog ===
kdevplatform (1.5.1-0ubuntu1~ubuntu12.04.1~ppa2) precise; urgency=low

  * precise backport 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Aug 2013 19:06:57 +0200

kdevplatform (1.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian git packaging, remaining change
   - replace/break kdevplatform6-libs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Jun 2013 17:34:52 +0100

kdevplatform (1.5.1-0r0) UNRELEASED; urgency=low

  [ Andreas Cord-Landwehr ]
  * New upstream release
  * Rename packages due to soname bump:
    - kdevplatform5-libs -> kdevplatform7-libs
    - libsublime5 -> libsublime7
  * Add build dependency to libgrantlee-dev (>= 0.1.7)
  * Raise kdelibs5-dev build-dependency (>=4:4.7.0)
  * Bump Standards-Version to 3.9.4: no changes needed.
  * Update copyright.
  * Disable compilation of SVN plugin due to license
    incompatability: patches/excludeSvnPluginFromCompilation.diff
  * Remove libsvn-dev build dependency: only needed for SVN plugin.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 26 Apr 2013 21:41:47 +0200

kdevplatform (1.5.0-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Add build-dep on libgrantlee-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 18:15:55 +0000

=== debian/control ===
Source: kdevplatform
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cdbs (>= 0.4.51),
               cmake (>= 2.8.0),
               debhelper (>= 7.4.15),
               kdelibs5-dev (>= 4:4.7.0),
               libboost-serialization-dev,
               libgrantlee-dev (>= 0.1.7),
               libqjson-dev,
               libqtwebkit-dev,
               pkg-kde-tools (>= 0.9.0)
Standards-Version: 3.9.4
Homepage: http://www.kdevelop.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevplatform.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevplatform.git

Package: kdevplatform7-libs
Architecture: any
Depends: libsublime7 (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: kdevelop (<< 4:3.9.96-1),
          kdevelop-data (<< 4:3.9.96-1),
          kdevplatform1-libs,
          kdevplatform2-libs,
          kdevplatform3-libs,
          kdevplatform5-libs (<< 1.4.0),
          kdevplatform6-libs (<< 1.5.0)
Breaks: kdevplatform1-libs,
        kdevplatform2-libs,
        kdevplatform3-libs,
        kdevplatform5-libs (<< 1.4.0),
        kdevplatform6-libs (<< 1.5.0)
Suggests: cvs, git, kdevplatform-l10n, konsole
Description: shared libraries for the KDevelop platform
 This package contains shared libraries needed to run integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform5-libs
Architecture: any
Depends: ${misc:Depends}, kdevplatform7-libs
Description: transitional package for kdevplatform7
 transitional package for kdevplatform7

Package: kdevplatform6-libs
Architecture: any
Depends: ${misc:Depends}, kdevplatform7-libs
Description: transitional package for kdevplatform7
 transitional package for kdevplatform7

Package: kdevplatform-dev
Section: libdevel
Architecture: any
Depends: kdevplatform7-libs (= ${binary:Version}),
         libsublime-dev (>= ${source:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:kdevplatform7-libs}
Description: development files for the KDevelop platform
 This package contains development files for building integrated development
 environments based on the KDevelop platform.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdelibs5-dbg,
         kdevplatform7-libs (= ${binary:Version}),
         libsublime7 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for the KDevelop platform
 This package contains the debugging symbols associated with kdevplatform.
 They will automatically be used by gdb for debugging kdevplatform-related
 issues.
 .
 This package is part of the KDevelop platform.

Package: libsublime7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User interface library
 sublime provides a user interface that supports multiple
 mainwindows, multiple dockwidgets, split views and areas
 .
 This package is part of the KDevelop platform.

Package: libsublime-dev
Section: libdevel
Architecture: any
Depends: libsublime7 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libsublime7}
Description: development files for the sublime user interface library
 This package contains development files for building applications using
 libsublime.
 .
 This package is part of the KDevelop platform.

Package: kdevplatform-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Replaces: kdevplatform-l10n-ca,
          kdevplatform-l10n-cavalencia,
          kdevplatform-l10n-da,
          kdevplatform-l10n-de,
          kdevplatform-l10n-engb,
          kdevplatform-l10n-es,
          kdevplatform-l10n-et,
          kdevplatform-l10n-fi,
          kdevplatform-l10n-fr,
          kdevplatform-l10n-gl,
          kdevplatform-l10n-hu,
          kdevplatform-l10n-it,
          kdevplatform-l10n-nds,
          kdevplatform-l10n-nl,
          kdevplatform-l10n-pt,
          kdevplatform-l10n-ptbr,
          kdevplatform-l10n-ru,
          kdevplatform-l10n-sl,
          kdevplatform-l10n-sv,
          kdevplatform-l10n-th,
          kdevplatform-l10n-tr,
          kdevplatform-l10n-uk,
          kdevplatform-l10n-zhcn,
          kdevplatform-l10n-zhtw
Breaks: kdevplatform-l10n-ca,
        kdevplatform-l10n-cavalencia,
        kdevplatform-l10n-da,
        kdevplatform-l10n-de,
        kdevplatform-l10n-engb,
        kdevplatform-l10n-es,
        kdevplatform-l10n-et,
        kdevplatform-l10n-fi,
        kdevplatform-l10n-fr,
        kdevplatform-l10n-gl,
        kdevplatform-l10n-hu,
        kdevplatform-l10n-it,
        kdevplatform-l10n-nds,
        kdevplatform-l10n-nl,
        kdevplatform-l10n-pt,
        kdevplatform-l10n-ptbr,
        kdevplatform-l10n-ru,
        kdevplatform-l10n-sl,
        kdevplatform-l10n-sv,
        kdevplatform-l10n-th,
        kdevplatform-l10n-tr,
        kdevplatform-l10n-uk,
        kdevplatform-l10n-zhcn,
        kdevplatform-l10n-zhtw
Suggests: kde-l10n
Description: language package for the KDevelop platform
 This package contains the localization files for applications using
 the KDevelop platform.
 .
 This package is part of the KDevelop platform.

## kdevplatform 1.5.2

=== debian/changelog ===
kdevplatform (1.5.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Re-enable GPL-3+ licensed SVN plugin due to fixed license issue in
    GPL-2+ licensed shared library kdevplatformoutputview (was GPL-2)
    (Closes: #719202)
  * Add libsvn-dev build dependency: needed for SVN plugin.
  * Update install files.
  * Update copyright.
  * Bump Standards-Version to 3.9.5: no changes needed.
  * Update debian/watch file to track xz compressed tarballs.

  [ Pino Toscano ]
  * kdevplatform7-libs.install: do not hardcode the minor grantlee version.
  * Update Vcs-* headers.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2014 09:50:09 +0100

kdevplatform (1.5.1-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 06 Sep 2013 14:30:21 +0200

kdevplatform (1.5.1-1) experimental; urgency=low

  [ Andreas Cord-Landwehr ]
  * New upstream release
  * Rename packages due to soname bump:
    - kdevplatform5-libs -> kdevplatform7-libs
    - libsublime5 -> libsublime7
  * Add build dependency to libgrantlee-dev (>= 0.1.7)
  * Raise kdelibs5-dev build-dependency (>=4:4.7.0)
  * Bump Standards-Version to 3.9.4: no changes needed.
  * Update copyright.
  * Disable compilation of SVN plugin due to license
    incompatability: patches/excludeSvnPluginFromCompilation.diff
  * Remove libsvn-dev build dependency: only needed for SVN plugin.

 -- Sune Vuorela <sune@debian.org>  Fri, 28 Jun 2013 09:22:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kdevplatform
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
@@ -15,11 +14,12 @@
                libgrantlee-dev (>= 0.1.7),
                libqjson-dev,
                libqtwebkit-dev,
+               libsvn-dev,
                pkg-kde-tools (>= 0.9.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevplatform.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevplatform.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/kdevplatform.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/kdevplatform.git
 
 Package: kdevplatform7-libs
 Architecture: any
@@ -29,31 +29,17 @@
           kdevplatform1-libs,
           kdevplatform2-libs,
           kdevplatform3-libs,
-          kdevplatform5-libs (<< 1.4.0),
-          kdevplatform6-libs (<< 1.5.0)
+          kdevplatform5-libs
 Breaks: kdevplatform1-libs,
         kdevplatform2-libs,
         kdevplatform3-libs,
-        kdevplatform5-libs (<< 1.4.0),
-        kdevplatform6-libs (<< 1.5.0)
+        kdevplatform5-libs
 Suggests: cvs, git, kdevplatform-l10n, konsole
 Description: shared libraries for the KDevelop platform
  This package contains shared libraries needed to run integrated development
  environments based on the KDevelop platform.
  .
  This package is part of the KDevelop platform.
-
-Package: kdevplatform5-libs
-Architecture: any
-Depends: ${misc:Depends}, kdevplatform7-libs
-Description: transitional package for kdevplatform7
- transitional package for kdevplatform7
-
-Package: kdevplatform6-libs
-Architecture: any
-Depends: ${misc:Depends}, kdevplatform7-libs
-Description: transitional package for kdevplatform7
- transitional package for kdevplatform7
 
 Package: kdevplatform-dev
 Section: libdevel

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdevelop/([\d.]+)/src/kdevplatform-([\d.]+).tar.(?:bz2|xz)
